
Redmine - Defect #14447
Additional status transitions for assignees do not work if assigned to a group
2013-07-12 11:24 - Anonymous

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour
Target version: 2.3.3
Resolution: Fixed Affected version:
Description

The additional status transitions for an assignee are not working/not allowed if the issue is assigned to a group (who has the
appropriate role). If the ticket gets assigned to a dedicated user (who belongs to the former assigned group), the additional transitions
are allowed.

Please see the attached screenshots for details.

My environment ist

Environment:
  Redmine version                          2.3.1.stable.11984
  Ruby version                             1.9.3 (i686-linux)
  Rails version                            3.2.13
  Environment                              production
  Database adapter                         Mysql2
Redmine plugins:
  due_date_reminder                        0.3.2
  redmine_auto_percent                     0.0.1
  redmine_banner                           0.0.8
  redmine_didyoumean                       1.2.0
  redmine_issue_templates                  0.0.5
  redmine_release_notes                    1.2.1
  redmine_spent_time                       2.5.0
  timelog_timer                            2.0.0

Associated revisions
Revision 12056 - 2013-07-28 16:58 - Jean-Philippe Lang

Additional status transitions for assignees do not work if assigned to a group (#14447).

Revision 12064 - 2013-07-28 22:46 - Jean-Philippe Lang

Merged r12056 from trunk (#14447).

History
#1 - 2013-07-28 16:58 - Jean-Philippe Lang
- Category set to Issues workflow
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Target version set to 2.3.3
- Resolution set to Fixed

Fixed in r12056, thanks for pointing this out.

#2 - 2013-07-28 22:47 - Jean-Philippe Lang
- Status changed from Resolved to Closed

Merged.
